Subject: bug#45277: D-Bus crashes and DND errors

From: Juri Linkov <[email-masked]>
Date: Thu, 17 Dec 2020 23:54:11 +0200

> dbusbind.c is prepared to write traces. Pls recompile dbusbind.o with
> "make MYCPPFLAGS='-DDBUS_DEBUG'", as indicated in that file (line 98).

Thanks for the hint, I'll recompile dbusbind.c and see what happens next time.

Meanwhile, here is today's error (not crash):

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  dbus-handle-event((dbus-event (- arg)))
  funcall-interactively(dbus-handle-event (dbus-event (- arg)))
  call-interactively(dbus-handle-event nil [(dbus-event (- arg))])
  command-execute(dbus-handle-event nil [(dbus-event (- arg))] t)